@import './inputs';
@import './checkboxes';
@import './radiobuttons';
@import './choices';
@import './range';
@import './quantity';
@import './file';

.form-group {
    margin-bottom: rem(16);
}

.form-submit {
    margin-top: rem(22);
}

.form-inline {
    display: flex;
    font-size: 0;
    line-height: 0;

    &__input {
        flex-grow: 1;
    }

    .btn {
        height: 100% !important;
    }
}


.form-interval {
    display: grid;
    grid-column-gap: rem(14);
    grid-template-columns: 1fr 1fr;

    &--labels {
        grid-column-gap: rem(15);
        grid-template-columns: 1fr auto 1fr auto;
    }

    &__label {
        height: 100%;
        color: $dark;
        font-weight: 600;
        line-height: 155%;
        font-size: rem(15);
        display: flex;
        align-items: center;
    }
}
